Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366249 - dependecy error: python2-py2pack should obsolete python-py2pack
Summary: dependecy error: python2-py2pack should obsolete python-py2pack
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-py2pack
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 11:37 UTC by Edgar Hoch
Modified: 2017-08-08 16:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:28:58 UTC


Attachments (Terms of Use)

Description Edgar Hoch 2016-08-11 11:37:57 UTC
Description of problem:

Installing 'python*-py2pack' wants to install python-py2pack-0.4.4-4.fc24 instead of python2-py2pack-0.6.3-1.fc24 .
This results in dependecy error.

I think python2-py2pack should obsolete python-py2pack to prevent selecting the wrong package.

See the results below:

# LANG=C dnf install 'python*-py2pack'
Last metadata expiration check: 0:02:03 ago on Thu Aug 11 13:24:48 2016.
Dependencies resolved.
======================================================================================================================
 Package                         Arch                   Version                         Repository               Size
======================================================================================================================
Installing:
 python-py2pack                  noarch                 0.4.4-4.fc24                    fedora                   38 k
 python3-py2pack                 noarch                 0.6.3-1.fc24                    updates                  45 k

Transaction Summary
======================================================================================================================
Install  2 Packages

Total size: 83 k
Installed size: 198 k
Is this ok [y/N]: j
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] python-py2pack-0.4.4-4.fc24.noarch.rpm: Already downloaded                                                 
[SKIPPED] python3-py2pack-0.6.3-1.fc24.noarch.rpm: Already downloaded                                                
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/bin/py2pack conflicts between attempted installs of python-py2pack-0.4.4-4.fc24.noarch and python3-py2pack-0.6.3-1.fc24.noarch
  file /usr/share/man/man1/py2pack.1.gz conflicts between attempted installs of python-py2pack-0.4.4-4.fc24.noarch and python3-py2pack-0.6.3-1.fc24.noarch




# LANG=C dnf install python2-py2pack python3-py2pack
Last metadata expiration check: 0:02:58 ago on Thu Aug 11 13:24:48 2016.
Dependencies resolved.
======================================================================================================================
 Package                         Arch                   Version                         Repository               Size
======================================================================================================================
Installing:
 python2-py2pack                 noarch                 0.6.3-1.fc24                    updates                  43 k
 python3-py2pack                 noarch                 0.6.3-1.fc24                    updates                  45 k

Transaction Summary
======================================================================================================================
Install  2 Packages

Total size: 88 k
Total download size: 43 k
Installed size: 222 k
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] python3-py2pack-0.6.3-1.fc24.noarch.rpm: Already downloaded                                                
(2/2): python2-py2pack-0.6.3-1.fc24.noarch.rpm                                        1.1 MB/s |  43 kB     00:00    
----------------------------------------------------------------------------------------------------------------------
Total                                                                                  29 kB/s |  43 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : python3-py2pack-0.6.3-1.fc24.noarch                                                               1/2 
  Installing  : python2-py2pack-0.6.3-1.fc24.noarch                                                               2/2 
  Verifying   : python2-py2pack-0.6.3-1.fc24.noarch                                                               1/2 
  Verifying   : python3-py2pack-0.6.3-1.fc24.noarch                                                               2/2 

Installed:
  python2-py2pack.noarch 0.6.3-1.fc24                       python3-py2pack.noarch 0.6.3-1.fc24                      

New leaves:
  python2-py2pack.noarch
  python3-py2pack.noarch
Complete!



# LANG=C dnf list python*-py2pack
Last metadata expiration check: 0:01:06 ago on Thu Aug 11 13:24:48 2016.
Available Packages
python-py2pack.noarch                                       0.4.4-4.fc24                                       fedora 
python2-py2pack.noarch                                      0.6.3-1.fc24                                       updates
python3-py2pack.noarch                                      0.6.3-1.fc24                                       updates

Comment 1 Fedora End Of Life 2017-07-25 22:23:16 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 16:28:58 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.